clang 10.0.0git

Public Member Functions | List of all members
clang::DefaultInitializedTypeVisitor< Derived, RetTy > Struct Template Reference

`#include "clang/AST/NonTrivialTypeVisitor.h"`

## Public Member Functions
template<class... Ts>
RetTy | visit (QualType FT, Ts &&... Args)
template<class... Ts>
RetTy | visitWithKind (QualType::PrimitiveDefaultInitializeKind PDIK, QualType FT, Ts &&... Args)
Derived & | asDerived ()

## Detailed Description

### template<class Derived, class RetTy = void>
struct clang::DefaultInitializedTypeVisitor< Derived, RetTy >

Definition at line 50 of file NonTrivialTypeVisitor.h.

## Member Function Documentation

## ◆ asDerived()

template<class Derived , class RetTy = void>

Derived& clang::DefaultInitializedTypeVisitor< Derived, RetTy >::asDerived | ( |  | ) |
| inline

Definition at line 74 of file NonTrivialTypeVisitor.h.

## ◆ visit()

template<class Derived , class RetTy = void>
template<class... Ts>

RetTy clang::DefaultInitializedTypeVisitor< Derived, RetTy >::visit | ( | QualType | FT,
|  | Ts &&... | Args
| ) |  |
| inline

Definition at line 51 of file NonTrivialTypeVisitor.h.

References clang::DestructedTypeVisitor< Derived, RetTy >::asDerived(), and clang::QualType::isNonTrivialToPrimitiveDefaultInitialize().

## ◆ visitWithKind()

template<class Derived , class RetTy = void>
template<class... Ts>

RetTy clang::DefaultInitializedTypeVisitor< Derived, RetTy >::visitWithKind | ( | QualType::PrimitiveDefaultInitializeKind | PDIK,
|  | QualType | FT,
|  | Ts &&... | Args
| ) |  |
| inline

Definition at line 58 of file NonTrivialTypeVisitor.h.

References clang::DestructedTypeVisitor< Derived, RetTy >::asDerived(), clang::QualType::PDIK_ARCStrong, clang::QualType::PDIK_ARCWeak, clang::QualType::PDIK_Struct, and clang::QualType::PDIK_Trivial.

The documentation for this struct was generated from the following file:

- include/clang/AST/NonTrivialTypeVisitor.h